﻿@model JavnaNabava.ViewModels.SifJedMjereViewModel;

@{
    ViewData["Title"] = "Popis jedniničnih mjera";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h1>Popis jediničnih mjera</h1>
<p>
    <small>
        Stranica za prikaz šifrarnika jediničnih mjera. Napravljeno je straničenje i sortiranje. Za svaku stavku je omogućeno uređivanje i brisanje. Prilikom brisanja se pita korisnik je li siguran da želi obrisati zapis.
    </small>
</p>
<a asp-action="Create">Unos nove mjere</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu"
       page-action="Index" class="float-right">
</pager>

<table class="table table-sm table-striped table-hover" id="table_sif">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">Naziv</a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Šifra Mjere</a>
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var mjera in Model.Sif_jedMj)
        {
            <tr>
                <td class="text-center">@mjera.Naziv</td>
                <td class="text-center">@mjera.Id</td>
                <td class="btn-group">
                    <a asp-action="Edit"
                       asp-route-id="@mjera.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn bt-sm" title="Ažuriraj">
                        <i class="fas fa-edit" title="Update"></i>
                    </a>
                    <form asp-action="Delete" method="POST"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Id" value="@mjera.Id" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt" title="Delete"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>

@section styles {

}

@section scripts{

}